name: liferea
version: "1.10.19"
summary: feed/news/podcast client with plugin support
description: |
 Liferea is a feed reader, a news reader, and a podcast client that brings
 together all of the content from your favorite web subscriptions into a simple
 interface with an embedded graphical browser that's easy to organize and
 browse.
confinement: devmode

apps:
  liferea:
    command: env XDG_DATA_DIR=$HOME desktop-launch liferea
    plugs: [home, x11, unity7, gsettings, network]

parts:
  liferea:
    source: https://github.com/lwindolf/liferea/releases/download/v1.10.19/liferea-1.10.19.tar.bz2
    plugin: autotools
    configflags:
      - --prefix=/usr
    build-packages:
      - flex
      - gettext
      - intltool
      - libgtk-3-dev
      - libpng12-dev
      - libxml-parser-perl
      - libsqlite3-dev
      - libsoup2.4-dev
      - libwebkitgtk-3.0-dev
      - libjson-glib-dev
      - libpeas-dev
      - gsettings-desktop-schemas-dev
    stage-packages:
      - libpango-1.0-0
      - libpng12-0
      - libquadmath0
      - librsvg2-common
      - libwmf0.2-7-gtk
    after: [desktop/gtk3]
  integration:
    plugin: nil
    stage-packages:
      - ubuntu-mate-icon-themes
      - ubuntu-mate-themes
    snap:
      - usr/share
      - -usr/share/doc
